Subject: bug#65344: 28.2; Unable to Edebug cl-flet form which uses argument destructuring

From: Michael Heerdegen <[email-masked]>
Date: Sat, 26 Aug 2023 02:16:02 +0200

Drew Adams <[email-masked]> writes:

> OK, so you don't see a problem.  Do you see
> a reason why we would add some `cl-foobar' to
> `cl-lib.el', if it's a function that has no
> relation to Common Lisp?  Does it make any
> sense to you that someone might expect it to
> be housed elsewhere, with a different prefix
> (or with no prefix)?
>
> That's all I'm trying to say here.  Let's avoid
> stuffing non-CL stuff in `cl*.el' files.  Is it
> necessary to clean house wholesale, moving and
> renaming things to fix this mixup?  No.  I'm
> not proposing disruption or extra work - just a
> recognition of a will to avoid adding not CL
> stuff to `cl*.el' files and giving it prefix
> `cl-'.  Nothing revolutionary or heavy-handed
> intended.

Sorry about mentioning flet again, but it's a good example to discuss.
Would you want that we have cl-flet, which is an restricted version
of the current implementation, and cl-flet*, which is like the current
cl-flet?  Or two constructs with non-overlapping semantics?  Or was
extending cl-flet as had been done ok for you?

Your suggestion sounds logical and objective, but what has "a relation to
CL" or is "not CL" is a bit subjective, it is an individual decision
where to draw the line.  I mean, anyone could agree with your claim but
some may still come to other decision than you would expect.

Michael.